import { EntityStore, EntityState, getEntityType } from '@datorama/akita';
import { AngularFirestore, QueryGroupFn } from '@angular/fire/firestore';
import { SyncOptions } from '../utils/types';
/** @deprecated Use CollectionService instead */
export declare abstract class CollectionGroupService<S extends EntityState> {
    protected store?: EntityStore<S>;
    protected db: AngularFirestore;
    abstract collectionId: string;
    constructor(store?: EntityStore<S>);
    readonly idKey: string;
    /** Sync the collection group with the store */
    syncCollection(queryGroupFn?: QueryGroupFn | Partial<SyncOptions>): any;
    syncCollection(queryGroupFn: QueryGroupFn, storeOptions?: Partial<SyncOptions>): any;
    /** Return a snapshot of the collection group */
    getValue(queryGroupFn?: QueryGroupFn): Promise<getEntityType<S>[]>;
}
